#include <bits/stdc++.h>
using namespace std;
long long d[200010], u[200010];
int main(){
	long long n,m;
	cin >> n >> m;
	for(int i = 1; i <= n; i++)
		scanf("%lld %lld", &d[i], &u[i]);
	while(m--){
		long long l, r, x;
		scanf("%lld %lld %lld", &l, &r, &x);
		long long res = 0;
		for(int i = l; i <= r; i++){
			if(x >= d[i] && x <= u[i])
				res++;
		}
		printf("%lld\n", res);
	}
	return 0;
}